<%--
Author: Peter Troshin
Date: May 2011
--%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="dt" %>

<jsp:include page="header.jsp" />

<h1>JABAWS Usage Statistics</h1>
<table class="center its" style="width: 600px "> 
<thead>
<tr>
<th rowspan="2">Month</th>
<th colspan="4" style="text-align: center">Number of Jobs</th>
</tr>
<tr>
<th title="Total number of jobs received">Total</th>
<th title="The number of jobs with no result">Incomplete</th>
<th title="The number of cancelled jobs">Cancelled</th>
<th title="The number of jobs started but not collected by the user">Abandoned</th>
</tr>
</thead>
<tbody>

<c:forEach items="${stat}" var="monthTotal" varStatus="status">
<c:choose>
	<c:when test="${status.count%2==0}">
		<tr class="even">
	</c:when>
	<c:otherwise>
		<tr class="odd">
	</c:otherwise>
</c:choose>

<td><a title="Click to view the detailed statistics for the period" href="DisplayStat?datetime=${monthTotal.key.time}"><fmt:formatDate value="${monthTotal.key}" type="date" pattern="MMM yyyy"/></a></td>
<td>${monthTotal.value.total}</td>
<td>${monthTotal.value.incomplete}</td>
<td>${monthTotal.value.cancelled}</td>
<td>${monthTotal.value.abandoned}</td>
</tr>
</c:forEach>
<tr>
<td>Total:</td>
<td>${total.total}</td>
<td>${total.incomplete}</td>
<td>${total.cancelled}</td>
<td>${total.abandoned}</td>
</tr>
</tbody>
</table>


<jsp:include page="footer.jsp" />